Bug 478148 - MIGRATED_FROM_JIRA: Wrap binaries RPM with License Agreement
MIGRATED_FROM_JIRA: Wrap binaries RPM with License Agreement
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Installation (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:03 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:03:50 EST
Need to wrap binaries RPM with License Agreement, see jdk-1_5_0_07-linux-i586-rpm.bin for example, where the bin file will display the agreement, prompt user to display yes/no, then extract the actual rpm. I am sure there's a utility that can convert rpm to bin, wrapping it up with license agreement prompt. 

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Installation',
                              'id' => '10016'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-165',
          'assignee' => 'endisd',
          'summary' => 'Wrap binaries RPM with License Agreement',
          'id' => '10510',
          'updated' => '2006-10-10 22:01:39.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-09-18 00:00:00.0',
                             'sequence' => '18',
                             'name' => 'Penrose-1.1',
                             'released' => 'true',
                             'id' => '10037',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'Need to wrap binaries RPM with License Agreement, see jdk-1_5_0_07-linux-i586-rpm.bin for example, where the bin file will display the agreement, prompt user to display yes/no, then extract the actual rpm. I am sure there's a utility that can convert rpm to bin, wrapping it up with license agreement prompt. ',
          'created' => '2006-09-05 11:29:36.0',
          'resolution' => '1',
          'type' => '4'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:03:52 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-165

Note You need to log in before you can comment on or make changes to this bug.